%define plugin_name local_autorespond_forward
%define plugin_version 3.0
%define squirrelmail_version 1.4.0

Name:           squirrelmail-%{plugin_name}
Version:        %{plugin_version}.sq%{squirrelmail_version}
Release:        1%{?dist}
Summary:        Squirrelmail Local User Autoresponder and Mail Forwarder

Group:          Applications/Communications
License:        GPL
URL:            http://www.squirrelmail.org/plugin_view.php?id=264
Source0:        http://www.squirrelmail.org/plugins/%{plugin_name}-%{plugin_version}-%{squirrelmail_version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
#BuildArch:	noarch

Obsoletes:	squirrelmail-vacation_local <= 2.0.sq1.4
BuildRequires:  autoconf
Requires:       squirrelmail

%description
This plugin allows users to set an auto-reply message to incoming email,
which is most commonly used to notify the sender of one's absence. This
plugin also allows users to specify that mail be forwarded to (an)other
email address(es). You can use the autoresponder or forwarding components
independently of one another, or use them both.

This plugin is limited to use with mail systems where mail users have real
local accounts, or at least where users have FTP access to "home"
directories that the mail server knows about when delivering mail. Please
note that this plugin is ONLY a front-end for configuring autoreplies and/or
forwarding addresses and IS NOT responsible for executing those
functionalities during the mail delivery process. Before installing this
plugin, you need to have a fully functioning autoresponder/forwarder system
in place on your mail server.

This plugin is capable of managing vacation and/or .forward files on your
server via either FTP or a local SUID program. If you use the SUID program,
it will only work on a local system (or possibly via a NFS mount or
similar). Also supported are lookups of FTP server name in LDAP.


%package proxy
Summary:	suid binary for %{name}
Group:		Applications/Communications

%description proxy
Suid binary used as proxy.


%prep
%setup -q -n %{plugin_name}


%build
cd suid_backend
autoreconf
%configure
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_sbindir} $RPM_BUILD_ROOT%{_sysconfdir}/squirrelmail \
  $RPM_BUILD_ROOT%{_datadir}/squirrelmail/plugins/%{plugin_name}
cp -arf *.php $RPM_BUILD_ROOT%{_datadir}/squirrelmail/plugins/%{plugin_name}/
mv -f $RPM_BUILD_ROOT%{_datadir}/squirrelmail/plugins/%{plugin_name}/config.sample.php \
  $RPM_BUILD_ROOT%{_sysconfdir}/squirrelmail/%{plugin_name}.php
ln -s \
  %{_sysconfdir}/squirrelmail/%{plugin_name}.php \
  $RPM_BUILD_ROOT%{_datadir}/squirrelmail/plugins/%{plugin_name}/config.php
cp -af suid_backend/*_proxy $RPM_BUILD_ROOT%{_sbindir}


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc README COPYING
%config %{_sysconfdir}/squirrelmail/%{plugin_name}.php
%dir %{_datadir}/squirrelmail/plugins/%{plugin_name}
%{_datadir}/squirrelmail/plugins/%{plugin_name}/*.php

%files proxy
%defattr(-,root,root,-)
%doc suid_backend/AUTHORS
%attr(4711,root,root) %{_sbindir}/*_proxy


%changelog
